#pragma once
#include "SyncQueue.h"
#include "basecamera.h"
//#include <mvIMPACT_CPP/mvIMPACT_acquire.h>
#include <mvIMPACT_CPP/mvIMPACT_acquire_GenICam.h>

#define BalluffClassID 0x01

class BalluffCamera: public BaseCamera
{
public:
	BalluffCamera();
	~BalluffCamera();

	static int Enumerate();
	
public: 
	static mvIMPACT::acquire::DeviceManager devMgr;
	static bool license_pass;
};